#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

SRC_NAME=${SRC_LOC%.tar.*}
SRC_NAME=${SRC_NAME##*/}

if [ "$SRC_NAME" = "empty" ]; then
	exit 0
fi

do_buildstep_prepend

log_exec rm -rf $SRC_NAME

for src in "$DOWNLOAD_LOC/$(basename $SRC_LOC)" "$DOWNLOAD_LOC/$(basename $SRC_LOC).tar.*"; do
	if [ -r "$src" ]; then
		log_exec tar xf "$src"
		break
	fi
done

# Cleanup previous installation
do_cleanup_install_loc

log_exec mv $SRC_NAME/* ${install_loc}

do_buildstep_append